Name:           libodb-sqlite
Version:        2.3.0
Release:        1%{?dist}
Summary:        SQLite ODB runtime library from Code Synthesis

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://www.codesynthesis.com/products/odb/
Source0:        http://www.codesynthesis.com/download/odb/2.3/%{name}-%{version}.tar.bz2

# Set BuildRoot for compatibility with EPEL <= 5
# See: http://fedoraproject.org/wiki/EPEL:Packaging#BuildRoot_tag
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Uses libodb from Code Synthesis 
BuildRequires: libodb-devel >= 2.3.0
# Uses SQLite
BuildRequires: sqlite-devel
# Uses pkgconfig
BuildRequires: pkgconfig


%description
ODB is an object-relational mapping (ORM) system for C++. It provides
tools, APIs, and library support that allow you to persist C++ objects
to a relational database (RDBMS) without having to deal with tables,
columns, or SQL and without manually writing any of the mapping code.

This package contains the SQLite ODB runtime library. Every application
that includes code generated for the SQLite database will need to link
to this library.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
# If building on Fedora or RHEL 7
%if 0%{?rhel}%{?fedora} >= 7
%configure --disable-static
%else
# Disable multi-threaded access on RHEL 5/6 because sqlite isn't built with the
# necessary flags to support it
# See: http://www.codesynthesis.com/pipermail/odb-users/2013-February/001065.html
%configure --disable-static --disable-threads
%endif
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc GPLv2
%doc LICENSE
%{_libdir}/libodb-sqlite-2.3.so
%exclude %{_datadir}/doc/libodb-sqlite/GPLv2
%exclude %{_datadir}/doc/libodb-sqlite/LICENSE
%exclude %{_datadir}/doc/libodb-sqlite/NEWS
%exclude %{_datadir}/doc/libodb-sqlite/README
%exclude %{_datadir}/doc/libodb-sqlite/version

%files devel
%doc NEWS
# odb folder is created/owned by libodb package
%{_includedir}/odb/*
%{_libdir}/libodb-sqlite.so
%{_libdir}/pkgconfig/libodb-sqlite.pc


%changelog
* Mon Nov 4 2013 Dave Johansen <davejohansen@gmail.com> 2.3.0-1
- Updated to 2.3.0

* Sat Oct 5 2013 Dave Johansen <davejohansen@gmail.com> 2.2.3-1
- Initial build
